NavigatorView
Keywords: javax.help.NavigatorView class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.help
Class NavigatorView

    java.lang.Object
      javax.help.NavigatorView

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  FavoritesView, IndexView, SearchView, TOCView

public abstract class NavigatorView
extends java.lang.Object
implements java.io.Serializable

Navigational View information

See Also:
  Serialized Form

Method Summary
`static NavigatorView` | `create(HelpSet hs, java.lang.String name, java.lang.String label, java.util.Locale locale, java.lang.String className, java.util.Hashtable params)` Creates a NavigatorView for some given information.
`abstract java.awt.Component` | `createNavigator(HelpModel model)` Creates a navigator for a given model.
`HelpSet` | `getHelpSet()` Gets the HelpSet for this Navigator view.
`Map.ID` | `getImageID()` Returns Map ID of icons passed to this View.
`java.lang.String` | `getLabel()` Gets the locale-dependent name of this View
`java.lang.String` | `getLabel(java.util.Locale locale)` Gets the locale-dependent name of this View.
`java.util.Locale` | `getLocale()`
`java.lang.String` | `getMergeType()` Gets merge type of this Navigator view
`java.lang.String` | `getName()` Gets the name of this Navigator view.
`java.util.Hashtable` | `getParameters()` Gets parameters passed to this View.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### create

    public static NavigatorView create(HelpSet hs,
                                       java.lang.String name,
                                       java.lang.String label,
                                       java.util.Locale locale,
                                       java.lang.String className,
                                       java.util.Hashtable params)
                                throws InvalidNavigatorViewException

  Creates a NavigatorView for some given information. The type is used to determine a NavigatorView class within the ClassLoader.

  Parameters:
    `hs` - The HelpSet that provides context information.
    `name` - The name of the View.
    `label` - The label (to show the user) of the View.
    `className` - The type for the View (its class name).
    `params` - A hashtable that provides different key/values for this type.
  Returns:
    The desired NavigatorView object.
  Throws:
    `InvalidNavigatorViewException` - if `hs`, `name`, `label`, `locale`, `className`, or `params` are null, or if a valid NavigatorView cannot be constructed from the parameters.

### createNavigator

    public abstract java.awt.Component createNavigator(HelpModel model)

  Creates a navigator for a given model. Really a JHelpNavigator right now.

  Parameters:
    `model` - The model for the Navigator.

### getHelpSet

    public HelpSet getHelpSet()

  Gets the HelpSet for this Navigator view.

  Returns:
    the HelpSet

### getName

    public java.lang.String getName()

  Gets the name of this Navigator view.

  Returns:
    the Name of the view

### getLabel

    public java.lang.String getLabel(java.util.Locale locale)

  Gets the locale-dependent name of this View.

  Returns:
    The locale-dependent name of this view.

### getLabel

    public java.lang.String getLabel()

  Gets the locale-dependent name of this View

  Returns:
    The locale-dependent name of this view

### getLocale

    public java.util.Locale getLocale()

  Returns:
    The locale.

### getParameters

    public java.util.Hashtable getParameters()

  Gets parameters passed to this View.

  Returns:
    The parameters passed to this View.

### getMergeType

    public java.lang.String getMergeType()

  Gets merge type of this Navigator view

  Returns:
    The merge type of this Navigator view

### getImageID

    public Map.ID getImageID()

  Returns Map ID of icons passed to this View.

  Returns:
    the Map ID of icons passed to this View

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD